Bug 433209 - Git has too many freaking dependencies
Git has too many freaking dependencies
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
8
All Linux
high Severity high
: ---
: ---
Assigned To: Bryan Kearney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-17 11:45 EST by Yaakov Nemoy
Modified: 2013-01-10 05:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-25 09:59:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaakov Nemoy 2008-02-17 11:45:57 EST
Description of problem: Git has too many freaking dependencies


Version-Release number of selected component (if applicable):
yankee@rtn:~$ yum info git
Installed Packages
Name   : git
Arch   : i386
Version: 1.5.3.8
Release: 1.fc8



How reproducible: Very reproducible


Steps to Reproduce:
1. yum install git
2. wait for 32 MB of downloads
3. ????????
4. Profit
  
Actual results:
git pulls in a massive load of resources including emacs libraries, CVS and
Subversion (which are competing file trackers) and other packages


Expected results:  "yum install git" will install the bare minimum to run git,
just as "yum install cvs" or "yum install subversion" would do.  It is not
expected that extra libraries would be needed in any case, and this is a
consistency bug.

Logs:
yankee@rtn:~$ sudo yum install git
Wachtwoord:
livna                     100% |=========================| 2.1 kB    00:00
fedora                    100% |=========================| 2.1 kB    00:00
adobe-linux-i386          100% |=========================|  951 B    00:00
updates                   100% |=========================| 2.3 kB    00:00
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package git.i386 0:1.5.3.8-1.fc8 set to be updated
--> Processing Dependency: git-cvs = 1.5.3.8-1.fc8 for package: git
--> Processing Dependency: git-email = 1.5.3.8-1.fc8 for package: git
--> Processing Dependency: emacs-git = 1.5.3.8-1.fc8 for package: git
--> Processing Dependency: git-arch = 1.5.3.8-1.fc8 for package: git
--> Processing Dependency: gitk = 1.5.3.8-1.fc8 for package: git
--> Processing Dependency: git-gui = 1.5.3.8-1.fc8 for package: git
--> Processing Dependency: git-core = 1.5.3.8-1.fc8 for package: git
--> Processing Dependency: perl-Git = 1.5.3.8-1.fc8 for package: git
--> Processing Dependency: git-svn = 1.5.3.8-1.fc8 for package: git
--> Running transaction check
---> Package gitk.i386 0:1.5.3.8-1.fc8 set to be updated
--> Processing Dependency: tk >= 8.4 for package: gitk
---> Package git-core.i386 0:1.5.3.8-1.fc8 set to be updated
--> Processing Dependency: perl(Error) for package: git-core
---> Package git-arch.i386 0:1.5.3.8-1.fc8 set to be updated
--> Processing Dependency: tla for package: git-arch
---> Package emacs-git.i386 0:1.5.3.8-1.fc8 set to be updated
--> Processing Dependency: emacs-common for package: emacs-git
---> Package git-email.i386 0:1.5.3.8-1.fc8 set to be updated
---> Package perl-Git.i386 0:1.5.3.8-1.fc8 set to be updated
---> Package git-svn.i386 0:1.5.3.8-1.fc8 set to be updated
--> Processing Dependency: perl(SVN::Core) for package: git-svn
--> Processing Dependency: perl(URI) for package: git-svn
--> Processing Dependency: subversion for package: git-svn
--> Processing Dependency: perl(SVN::Ra) for package: git-svn
--> Processing Dependency: perl(LWP::UserAgent) for package: git-svn
--> Processing Dependency: perl(Term::ReadKey) for package: git-svn
--> Processing Dependency: perl(SVN::Delta) for package: git-svn
---> Package git-cvs.i386 0:1.5.3.8-1.fc8 set to be updated
--> Processing Dependency: cvsps for package: git-cvs
--> Processing Dependency: perl(DBI) for package: git-cvs
--> Processing Dependency: cvs for package: git-cvs
---> Package git-gui.i386 0:1.5.3.8-1.fc8 set to be updated
--> Running transaction check
---> Package subversion.i386 0:1.4.4-7 set to be updated
---> Package perl-TermReadKey.i386 0:2.30-2 set to be updated
---> Package perl-libwww-perl.noarch 0:5.808-3.fc8 set to be updated
--> Processing Dependency: perl(HTML::Entities) for package: perl-libwww-perl
--> Processing Dependency: perl(Compress::Zlib) for package: perl-libwww-perl
--> Processing Dependency: perl-HTML-Parser >= 3.33 for package:
perl-libwww-perl
---> Package tk.i386 1:8.4.17-2.fc8 set to be updated
--> Processing Dependency: tcl = 1:8.4.17 for package: tk
--> Processing Dependency: libtcl8.4.so for package: tk
---> Package cvs.i386 0:1.11.22-12.fc8 set to be updated
---> Package cvsps.i386 0:2.1-5.fc8 set to be updated
---> Package perl-Error.noarch 1:0.17010-1.fc8 set to be updated
---> Package perl-URI.noarch 0:1.35-3.1 set to be updated
---> Package subversion-perl.i386 0:1.4.4-7 set to be updated
---> Package perl-DBI.i386 0:1.58-2.fc8 set to be updated
---> Package emacs-common.i386 0:22.1-8.fc8 set to be updated
---> Package tla.i386 0:1.3.5-4.fc8 set to be updated
--> Running transaction check
---> Package perl-Compress-Zlib.noarch 0:2.005-2.fc8 set to be updated
--> Processing Dependency: perl(IO::Compress::Gzip) >= 2.005 for
package: perl-Compress-Zlib
--> Processing Dependency: perl(IO::Uncompress::Gunzip) >= 2.005 for
package: perl-Compress-Zlib
--> Processing Dependency: perl(Compress::Raw::Zlib) >= 2.005 for
package: perl-Compress-Zlib
--> Processing Dependency: perl(IO::Compress::Gzip::Constants) >=
2.005 for package: perl-Compress-Zlib
--> Processing Dependency: perl(IO::Compress::Base::Common) >= 2.005
for package: perl-Compress-Zlib
---> Package tcl.i386 1:8.4.17-1.fc8 set to be updated
---> Package perl-HTML-Parser.i386 0:3.56-2.fc8 set to be updated
--> Processing Dependency: perl(HTML::Tagset) >= 3.03 for package:
perl-HTML-Parser
--> Processing Dependency: perl(HTML::Tagset) for package: perl-HTML-Parser
--> Running transaction check
---> Package perl-Compress-Raw-Zlib.i386 0:2.005-3.fc8 set to be updated
---> Package perl-IO-Compress-Zlib.noarch 0:2.005-2.fc8 set to be updated
---> Package perl-HTML-Tagset.noarch 0:3.10-6.fc8 set to be updated
---> Package perl-IO-Compress-Base.noarch 0:2.005-2.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 git                     i386       1.5.3.8-1.fc8    updates           7.2 k
Installing for dependencies:
 cvs                     i386       1.11.22-12.fc8   fedora            726 k
 cvsps                   i386       2.1-5.fc8        fedora             56 k
 emacs-common            i386       22.1-8.fc8       updates            18 M
 emacs-git               i386       1.5.3.8-1.fc8    updates            45 k
 git-arch                i386       1.5.3.8-1.fc8    updates            26 k
 git-core                i386       1.5.3.8-1.fc8    updates           4.1 M
 git-cvs                 i386       1.5.3.8-1.fc8    updates            65 k
 git-email               i386       1.5.3.8-1.fc8    updates            22 k
 git-gui                 i386       1.5.3.8-1.fc8    updates            78 k
 git-svn                 i386       1.5.3.8-1.fc8    updates            78 k
 gitk                    i386       1.5.3.8-1.fc8    updates            65 k
 perl-Compress-Raw-Zlib  i386       2.005-3.fc8      fedora             54 k
 perl-Compress-Zlib      noarch     2.005-2.fc8      fedora             34 k
 perl-DBI                i386       1.58-2.fc8       fedora            715 k
 perl-Error              noarch     1:0.17010-1.fc8  updates            27 k
 perl-Git                i386       1.5.3.8-1.fc8    updates            16 k
 perl-HTML-Parser        i386       3.56-2.fc8       fedora            111 k
 perl-HTML-Tagset        noarch     3.10-6.fc8       fedora             15 k
 perl-IO-Compress-Base   noarch     2.005-2.fc8      fedora             53 k
 perl-IO-Compress-Zlib   noarch     2.005-2.fc8      fedora            135 k
 perl-TermReadKey        i386       2.30-2           fedora             32 k
 perl-URI                noarch     1.35-3.1         fedora            116 k
 perl-libwww-perl        noarch     5.808-3.fc8      fedora            373 k
 subversion              i386       1.4.4-7          fedora            2.3 M
 subversion-perl         i386       1.4.4-7          fedora            753 k
 tcl                     i386       1:8.4.17-1.fc8   updates           1.8 M
 tk                      i386       1:8.4.17-2.fc8   updates           1.2 M
 tla                     i386       1.3.5-4.fc8      updates           354 k

Transaction Summary
=============================================================================
Install     29 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 32 M
Is this ok [y/N]: y

Actually, it's *not* OK, but I have a job to do.
Additional info: git-core already has a sane set of dependencies, but is
inconsistently named with the rest of the Fedora packages.  using comps grouping
might be a reasonable solution.
Comment 1 Josh Boyer 2008-02-17 13:19:13 EST
http://marc.info/?l=git&m=120310021117163&w=2

We'll watch that thread for a bit to see what happens.  I'm not opposed to
changing it in Fedora alone, but if upstream takes something similar we should
use that to be as close as possible.
Comment 2 James Bowes 2008-02-23 18:08:10 EST
Git 1.5.4.3 in rawhide (I don't think it would be wise to make this change in
F8) includes Kristian's patch to rename git to git-all and git-core to git.
Please give it a test.

Note You need to log in before you can comment on or make changes to this bug.